<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.6 (2010/04/05)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Plugin Diaporama - Configuration page accueil    
 * Jean-Michel MISRACHI
 * Web site = http://jmmis.free.fr/
 * e-mail   = jmmis@free.fr
 * version 4.6.11
 * 
 * Fichier modifi par ZebulonT : http://www.cyclotronp.net/
 * pour l'intgration de la Version 4.6.11 du plugin Diaporama de Jean-Mi
 * dans le plugin Adm_redacteurs de djchouix (2008/12/20)
 *
 */
if (stristr($_SERVER["SCRIPT_NAME"], "accueil.inc")) {
  header("location:../index.php");
  die();
}

define("CHEMIN", "../../");
define('DIAPO_DIR', 'diaporama');
$lng  = strip_tags($lng);
$pg   = strip_tags($pg);
$plug = strip_tags($plug);
$diapo_acc_regit = strip_tags($diapo_acc_regit);
include(CHEMIN."plugins/diaporama/lang/".$lng."-adm.inc");
include_once(CHEMIN."plugins/jmm/functions.php");
include_once(CHEMIN."plugins/diaporama/inc/data_func.inc");
include("plugins/funcplug.inc");

if ($diapo_acc_regit == "1") {
  $diapo_acc["icon0"] = $diapo_acc_icon0;
  $diapo_acc["icon1"] = $diapo_acc_icon1;
  $diapo_acc["titre0"] = $diapo_acc_titre0;
  $diapo_acc["titre1"] = $diapo_acc_titre1;
  $diapo_acc["nvig"] = $diapo_acc_nvig;
  $diapo_acc["size"] = $diapo_acc_size;
  $diapo_acc["back_acc_pos"] = $diapo_back_acc_pos;
  $diapo_acc["back_acc_txt0"] = $diapo_back_acc_txt0;
  $diapo_acc["back_acc_txt1"] = $diapo_back_acc_txt1;
  $diapo_acc["note_pos_acc"] = $diapo_note_pos_acc;
  $diapo_acc["note_pos_diapo"] = $diapo_note_pos_diapo;
  $diapo_acc["note_txt0"] = $diapo_note_txt0;
  $diapo_acc["note_txt1"] = $diapo_note_txt1;
  $diapo_acc["modecolacc"] = $diapo_modecolacc;
  $diapo_acc["modecoldiapo"] = $diapo_modecoldiapo;
  $diapo_acc["nbdiapoparpage"] = $diapo_nbdiapoparpage;
  $diapo_acc = DP_WriteAccueil($diapo_acc);
  //header("location:".$site[3]."admin/admin.php?lng=fr&pg=plugin&plug=diaporama/inc/admin");
} else {
  switch ($diapo_addico) {
    case -1 : 
      UnregisterPlugin(DIAPO_DIR);
      break;
    case 1 : 
      if (!PluginRegistered(DIAPO_DIR)) RegisterPlugin(DIAPO_DIR);
      break;
  }
  unset($icfr_addico);
}
$diapo_acc = DP_ReadAccueil();

$topmess = $diapo_adm132;
include(CHEMIN."inc/hpage.inc");
htable($topmess, "100%");

echo "<p>".$diapo_adm216." ";
if (PluginRegistered(DIAPO_DIR)) {
  echo "<a href=\"admin.php?lng=".$lng."&amp;pg=plugin&amp;plug=diaporama/inc/accueil&amp;diapo_addico=-1\">".$diapo_adm212."</a>";
} else {
  echo "<a href=\"admin.php?lng=".$lng."&amp;pg=plugin&amp;plug=diaporama/inc/accueil&amp;diapo_addico=1\">".$diapo_adm213."</a>";
}

echo "</p><hr />";
LiensBackLogout($diapo_adm32, "diaporama/inc/admin");
echo "<hr />";
FormBegin("diapo_accueil", "diaporama/inc/accueil");
FormHidden("diapo_acc_regit", 1);
FormButtons();
echo '
<fieldset>
<legend>'.$diapo_adm155.'</legend>';

FormTextBilingual($diapo_adm139, "diapo_acc_icon0", $diapo_acc["icon0"], "diapo_acc_icon1", $diapo_acc["icon1"], "", 20);
FormTextBilingual($diapo_adm140, "diapo_acc_titre0", $diapo_acc["titre0"], "diapo_acc_titre1", $diapo_acc["titre1"]);

$dp_nbvigmax = array(array("-1", $diapo_adm137), array("0", $diapo_adm156));
for ($dp_i=1; $dp_i<13; $dp_i++) 
  $dp_nbvigmax[] = array("$dp_i", sprintf($diapo_adm138, $dp_i));
FormSelectBox($diapo_adm141, "diapo_acc_nvig", $diapo_acc["nvig"], $dp_nbvigmax);
FormSelectBox($diapo_adm142, "diapo_acc_size", $diapo_acc["size"], array(
  array("50", $diapo_adm143), array("60", $diapo_adm144), array("70", $diapo_adm145), 
  array("80", $diapo_adm146), array("90", $diapo_adm147), array("100", $diapo_adm148)));
FormText($diapo_adm655, "diapo_nbdiapoparpage", $diapo_acc["nbdiapoparpage"], '', 5);

echo '
</fieldset>
<fieldset><legend>'.$diapo_adm240.'</legend>';
$dp_positions = array(
  array("0", $diapo_adm245), array("1", $diapo_adm246), 
  array("2", $diapo_adm247), array("3", $diapo_adm248));
FormSelectBox($diapo_adm241, "diapo_back_acc_pos", $diapo_acc["back_acc_pos"], $dp_positions);
FormTextBilingual($diapo_adm242, "diapo_back_acc_txt0", $diapo_acc["back_acc_txt0"], "diapo_back_acc_txt1", $diapo_acc["back_acc_txt1"]);

echo '
</fieldset>
<fieldset><legend>'.$diapo_adm250.'</legend>';
$dp_positions = array(
  array("0", $diapo_adm255), array("1", $diapo_adm256), array("2", $diapo_adm257));   
FormSelectBox($diapo_adm251, "diapo_note_pos_acc", $diapo_acc["note_pos_acc"], $dp_positions);
FormSelectBox($diapo_adm252, "diapo_note_pos_diapo", $diapo_acc["note_pos_diapo"], $dp_positions);
FormTextareaBilingual($diapo_adm253, 
  "diapo_note_txt0", preg_replace("|<BR />|", "\n", $diapo_acc["note_txt0"]), 
  "diapo_note_txt1", preg_replace("|<BR />|", "\n", $diapo_acc["note_txt1"]));

echo '
</fieldset>
<fieldset><legend>'.$diapo_adm200.'</legend>';
FormSelectBox($diapo_adm201, "diapo_modecolacc", $diapo_acc['modecolacc'], array(
    array('', $diapo_adm204),
    array('W', $diapo_adm205),
    array('G', $diapo_adm206),
    array('D', $diapo_adm207),
    array('L', $diapo_adm208),
    array('R', $diapo_adm209)
    ), $diapo_adm203);
FormSelectBox($diapo_adm202, "diapo_modecoldiapo", $diapo_acc['modecoldiapo'], array(
    array('', $diapo_adm204),
    array('W', $diapo_adm205),
    array('G', $diapo_adm206),
    array('D', $diapo_adm207),
    array('L', $diapo_adm208),
    array('R', $diapo_adm209)
    ), $diapo_adm203);
echo '
</fieldset>';

FormEnd();

LiensBackLogout($diapo_adm32, "diaporama/inc/admin");
echo "<hr />";
VersionAuteurPlugin($diapo_version, $diapo_auteur1, 2.1);
include(CHEMIN."admin/plugins/diaporama/inc/gd2info.inc");

btable();
include(CHEMIN."inc/bpage.inc");
?>
