<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.6 (2010/04/05)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Plugin Diaporama - Paramtrage d'un diaporama    
 * Jean-Michel MISRACHI
 * Web site = http://jmmis.free.fr/
 * e-mail   = jmmis@free.fr
 * version 4.6.11
 * 
 * Fichier modifi par ZebulonT : http://www.cyclotronp.net/
 * pour l'intgration de la Version 4.6.11 du plugin Diaporama de Jean-Mi
 * dans le plugin Adm_redacteurs de djchouix (2008/12/20)
 *
 */
if (stristr($_SERVER["SCRIPT_NAME"], "param.inc")) {
  header("location:../index.php");
  die();
}

define("CHEMIN", "../../");
$lng  = strip_tags($lng);
$pg   = strip_tags($pg);
$plug = strip_tags($plug);
$act  = strip_tags($act);
$diapo_param_regit = strip_tags($diapo_param_regit);
$diapo_id = strip_tags($diapo_id);
include(CHEMIN."plugins/diaporama/lang/".$lng."-adm.inc");
include_once(CHEMIN."plugins/jmm/functions.php");
include_once(CHEMIN."plugins/diaporama/inc/data_func.inc");

$special_diapo_id = $diapo_id;
$topmess = $diapo_adm19;

$diapo_cfg = DP_ReadConfig();
$dp_nextid = DP_ReadNextID();

if ($diapo_param_regit != "") {
	// Validation d'une saisie
	if ($diapo_id == $dp_nextid) {
		// Enregistrement d'un nouveau diaporama (new ou dup)
		DP_ExportListDiapo(DP_AppendListDiapo(DP_ImportListDiapo()));
		DP_ExportParam(DP_WriteParam($diapo_id, DP_ImportParam()));
		//modif Rdacteur
		$diapo_liste_file = "plugins/adm_redacteurs/data/plugins/diaporama/liste_".$upseudo.".dtb";
	  	$diapo_liste_backup   = "plugins/adm_redacteurs/data/plugins/diaporama/liste_backup_".$upseudo.".dtb";
		DP_ExportListDiapo(DP_AppendListDiapo(DP_ImportListDiapo()));				
		$diapo_liste_file = "data/plugins/diaporama/liste.dtb";
	  	$diapo_liste_backup   = "data/plugins/diaporama/liste_backup.dtb";
		//fin modif
		$act="mod";
		$action = $diapo_adm23.$diapo_id;
		$dp_nextid = DP_IncrNextID();
						
	} else {
		// Enregistrement des modifs d'un diaporama existant
		DP_ExportListDiapo(DP_ModifyListDiapo($diapo_id, DP_ImportListDiapo()));
		DP_ExportParam(DP_WriteParam($diapo_id, DP_ImportParam()));
		//modif Rdacteur
		$diapo_liste_file = "plugins/adm_redacteurs/data/plugins/diaporama/liste_".$upseudo.".dtb";
	  	$diapo_liste_backup   = "plugins/adm_redacteurs/data/plugins/diaporama/liste_backup_".$upseudo.".dtb";
		DP_ExportListDiapo(DP_ModifyListDiapo($diapo_id, DP_ImportListDiapo()));
		$diapo_liste_file = "data/plugins/diaporama/liste.dtb";
	  	$diapo_liste_backup   = "data/plugins/diaporama/liste_backup.dtb";
		//fin modif
		$action = $diapo_adm23.$diapo_id;
	}
	DP_ExportParam(DP_ReadParam($diapo_id));
}

include(CHEMIN."inc/hpage.inc");
$diapo_id = $special_diapo_id;

switch ($act) {
	case "new" : // Creation d'un nouveau diaporama
		$diapo_id = $dp_nextid;
		DP_ExportListDiapo(DP_NewListDiapo($diapo_id));
		DP_ExportParam(DP_NewParam());
		//modif Rdacteur
		$diapo_liste_file = "plugins/adm_redacteurs/data/plugins/diaporama/liste_".$upseudo.".dtb";
	  	$diapo_liste_backup   = "plugins/adm_redacteurs/data/plugins/diaporama/liste_backup_".$upseudo.".dtb";
		DP_ExportListDiapo(DP_NewListDiapo($diapo_id));
		$diapo_liste_file = "data/plugins/diaporama/liste.dtb";
		$diapo_liste_backup   = "data/plugins/diaporama/liste_backup.dtb";
	  //fin modif
		$action=$diapo_adm24.$diapo_id;
		break;
	case "mod" : // modification d'un diaporama $diapo_id
		DP_ExportListDiapo(DP_ReadListDiapo($diapo_id));
		DP_ExportParam(DP_ReadParam($diapo_id));
		//modif Rdacteur
		$diapo_liste_file = "plugins/adm_redacteurs/data/plugins/diaporama/liste_".$upseudo.".dtb";
	  	$diapo_liste_backup   = "plugins/adm_redacteurs/data/plugins/diaporama/liste_backup_".$upseudo.".dtb";
		DP_ExportListDiapo(DP_ReadListDiapo($diapo_id));
		$diapo_liste_file = "data/plugins/diaporama/liste.dtb";
		$diapo_liste_backup   = "data/plugins/diaporama/liste_backup.dtb";
	  //fin modif
		$action = $diapo_adm23.$diapo_id;
		break;
	case "dup" : // duplication d'un diaporama $diapo_id
		$action=$diapo_adm25.$diapo_id." - ".$diapo_adm24.$dp_nextid;
		DP_ExportListDiapo(DP_ReadListDiapo($diapo_id));
		//modif Rdacteur
		$diapo_liste_file = "plugins/adm_redacteurs/data/plugins/diaporama/liste_".$upseudo.".dtb";
	  	$diapo_liste_backup   = "plugins/adm_redacteurs/data/plugins/diaporama/liste_backup_".$upseudo.".dtb";
		DP_ExportListDiapo(DP_ReadListDiapo($diapo_id));
		$diapo_liste_file = "data/plugins/diaporama/liste.dtb";
		$diapo_liste_backup   = "data/plugins/diaporama/liste_backup.dtb";
	  //fin modif
		$dp_datecre = $dp_datemod = GetCurrentDateTime();
	    $dp_nbacces = 0;
		DP_ExportParam(DP_ReadParam($diapo_id));
		$diapo_id = $dp_nextid;
		break;
}

htable($topmess, "100%");
echo "<br /><p align=\"center\">".$diapo_adm22."</p><hr />";
LiensBackLogout($diapo_adm32, "diaporama/inc/admin");
echo "<hr />";
echo "<p align=\"center\">";
echo "<a href='admin.php?lng=".$lng."&amp;pg=plugin&amp;plug=diaporama/inc/comment&amp;diapo_id=".$diapo_id."'>".$diapo_adm29."</a> || ";
echo "<a href='admin.php?lng=".$lng."&amp;pg=plugin&amp;plug=diaporama/inc/param&amp;act=new'>".$diapo_adm31."</a>";
echo " || ".$action."</p>";

FormBegin("diapo_param", "diaporama/inc/param");
FormHidden("dp_status", $dp_status);
FormHidden("act", $act);
FormHidden("diapo_id", $diapo_id);
FormHidden("diapo_param_regit", 1);
FormHidden("dp_datecre", $dp_datecre);
FormHidden("dp_datemod", GetCurrentDateTime());
FormHidden("dp_nbacces", $dp_nbacces);
FormButtons();

echo '<fieldset><legend>'.$diapo_adm260.'</legend>';
FormTextBilingual($diapo_adm39, "dp_categorie1", $dp_categorie1, "dp_categorie2", $dp_categorie2, $diapo_adm539); 
FormTextBilingual($diapo_adm40, "dp_titre1", $dp_titre1, "dp_titre2", $dp_titre2, $diapo_adm540);
FormText($diapo_adm48, "dp_dir_vig", $dp_dir_vig, $diapo_adm548, 40);
FormText($diapo_adm49, "dp_dir_img", $dp_dir_img, $diapo_adm549, 40);
echo "</fieldset>";

echo '<fieldset><legend>'.$diapo_adm261.'</legend>';
FormCheckBox($diapo_adm50, "dp_bool_soustitre", $dp_bool_soustitre, $diapo_adm550);
FormTextBilingual($diapo_adm41, "dp_soustitre1", $dp_soustitre1, "dp_soustitre2", $dp_soustitre2, $diapo_adm541); 
FormCheckBox($diapo_adm660, "dp_vertical", $dp_vertical, $diapo_adm661);
echo "</fieldset>";

echo '<fieldset><legend>'.$diapo_adm262.'</legend>';
FormText($diapo_adm42, "dp_larg_vig", $dp_larg_vig, $diapo_adm542);
FormText($diapo_adm43, "dp_haut_vig", $dp_haut_vig, $diapo_adm543);
FormCheckBox($diapo_adm90, "dp_bool_redim", $dp_bool_redim, $diapo_adm590);
FormText($diapo_adm46, "dp_nb_col", $dp_nb_col, $diapo_adm546);
FormText($diapo_adm47, "dp_nb_lig", $dp_nb_lig, $diapo_adm547);
FormCheckBox($diapo_adm52, "dp_bool_vigcom", $dp_bool_vigcom, $diapo_adm552);
FormCheckBox($diapo_adm51, "dp_bool_comment", $dp_bool_comment, $diapo_adm551);
FormCheckBox($diapo_adm69, "dp_bool_viglink", $dp_bool_viglink, $diapo_adm569);
FormCheckBox($diapo_adm63, "dp_bool_comlink", $dp_bool_comlink, $diapo_adm563);
FormSelectBox($diapo_adm62, "dp_type_alt", $dp_type_alt, array(
    explode('|', $diapo_adm70),
    explode('|', $diapo_adm71),
    explode('|', $diapo_adm72),
    explode('|', $diapo_adm73)), $diapo_adm562);
FormSelectBox($diapo_adm159, "dp_mode_tri", $dp_mode_tri,
	array(array("0", $diapo_adm160), array("1", $diapo_adm161), array("2", $diapo_adm162), array("3", $diapo_adm163)),
	$diapo_adm158);
echo "</fieldset>";

$diapo_zoom = array(array('popup', $diapo_adm281));
if (is_dir(CHEMIN.'plugins/diaporama/effets/lightbox')) $diapo_zoom[] = array('lightbox', $diapo_adm282);
if (is_dir(CHEMIN.'plugins/diaporama/effets/jquery-lightbox')) $diapo_zoom[] = array('jqlightbox', $diapo_adm283);
if (is_dir(CHEMIN.'plugins/diaporama/effets/lytebox')) $diapo_zoom[] = array('lytebox', $diapo_adm284);

if (count($diapo_zoom) > 1) {
    echo '<fieldset><legend>'.$diapo_adm263.'</legend>';
    FormRadioBox($diapo_adm270, "dp_mode_zoom", $dp_mode_zoom, $diapo_zoom, $diapo_adm271);
}
	
echo '<fieldset><legend>'.$diapo_adm264.'</legend>';
FormRadioBox($diapo_adm95, "dp_code_popup", $dp_code_popup,
	array(array("0", $diapo_adm96), array("1", $diapo_adm97), array("2", $diapo_adm98)), $diapo_adm595);
FormText($diapo_adm44, "dp_larg_img", $dp_larg_img, $diapo_adm544);
FormText($diapo_adm45, "dp_haut_img", $dp_haut_img, $diapo_adm45);
FormSelectBox($diapo_adm79, "dp_code_pos", $dp_code_pos, 
	array(array("0", $diapo_adm80), array("1", $diapo_adm81), array("2", $diapo_adm82), array("3", $diapo_adm83), array("4", $diapo_adm84), array("5", $diapo_adm85)),
	$diapo_adm579);
FormCheckBox($diapo_adm91, "dp_bool_menuimg", $dp_bool_menuimg, $diapo_adm591);
if (!isset($dp_pos_menuimg) || empty($dp_pos_menuimg)) $dp_pos_menuimg = 0;
FormRadioBox($diapo_adm701, "dp_pos_menuimg", $dp_pos_menuimg,
    array(array('0', $diapo_adm703),array('1', $diapo_adm704),array('2', $diapo_adm705),array('3', $diapo_adm706)),
    $diapo_adm702, 2);
echo "</fieldset>";
if (is_dir(CHEMIN.'plugins/diaporama/effets/lightbox')) {
    echo "</fieldset>";
}
echo '<fieldset><legend>'.$diapo_adm265.'</legend>';
FormText($diapo_adm54, "dp_border", $dp_border, $diapo_adm554);
FormText($diapo_adm55, "dp_spacing", $dp_spacing, $diapo_adm555);
FormText($diapo_adm56, "dp_padding", $dp_padding, $diapo_adm556);
FormInitColor();
FormColor($diapo_adm57, "dp_tabnavcolor", $dp_tabnavcolor, $diapo_adm557);
FormColor($diapo_adm58, "dp_tabvigcolor", $dp_tabvigcolor, $diapo_adm558);
FormColor($diapo_adm59, "dp_cellnavcolor", $dp_cellnavcolor, $diapo_adm559);
FormColor($diapo_adm60, "dp_cellvigcolor", $dp_cellvigcolor, $diapo_adm560);
FormColor($diapo_adm61, "dp_cellcomcolor", $dp_cellcomcolor, $diapo_adm561);
echo "</fieldset>";

echo '<fieldset><legend>'.$diapo_adm266.'</legend>';
FormCheckBox($diapo_adm647, "dp_members", $dp_members, $diapo_adm648);
echo "</fieldset>";
FormEnd();

echo "<hr />";
LiensBackLogout($diapo_adm32, "diaporama/inc/admin");
echo "<hr />";
VersionAuteurPlugin($diapo_version, $diapo_auteur1, 2.1);
include(CHEMIN."admin/plugins/diaporama/inc/gd2info.inc");
btable();
include(CHEMIN."inc/bpage.inc");
?>
